utl::meta::detail::detector< Default, AlwaysVoid, Op, Args > Struct Template Reference

`#include <detection.h>`

## Public Types

using | detected = false_
using | type = Default

## Detailed Description

### template<typename Default, typename AlwaysVoid, template< typename... > class Op, typename... Args>
struct utl::meta::detail::detector< Default, AlwaysVoid, Op, Args >

Definition at line 76 of file detection.h.

## Member Typedef Documentation

## detected

template<typename Default , typename AlwaysVoid , template< typename... > class Op, typename... Args>

using utl::meta::detail::detector< Default, AlwaysVoid, Op, Args >::detected = false_

Definition at line 77 of file detection.h.

## type

template<typename Default , typename AlwaysVoid , template< typename... > class Op, typename... Args>

using utl::meta::detail::detector< Default, AlwaysVoid, Op, Args >::type = Default

Definition at line 78 of file detection.h.

The documentation for this struct was generated from the following file:

- include/utl/meta/detection.h